# Developer

- [Appchain](https://docs.wetez.io/wetez/developer/appchain.md)
- [Cosmos SDK Chain](https://docs.wetez.io/wetez/developer/appchain/cosmos-sdk-chain.md)
- [Substrate Independent Chain](https://docs.wetez.io/wetez/developer/appchain/substrate-independent-chain.md)
- [Polkadot Parachain](https://docs.wetez.io/wetez/developer/appchain/polkadot-parachain.md)
- [Polygon Edge Chain](https://docs.wetez.io/wetez/developer/appchain/polygon-edge-chain.md)
- [Ethereum Rollups](https://docs.wetez.io/wetez/developer/appchain/ethereum-rollups.md)
- [Avalanche Subnet](https://docs.wetez.io/wetez/developer/appchain/avalanche-subnet.md)
- [Oasis Paratime](https://docs.wetez.io/wetez/developer/appchain/oasis-paratime.md)
- [BNB Sidechain](https://docs.wetez.io/wetez/developer/appchain/bnb-sidechain.md)
- [APIs](https://docs.wetez.io/wetez/developer/apis.md)
- [Ethereum Mainnet](https://docs.wetez.io/wetez/developer/apis/ethereum-mainnet.md)
- [Solana Mainnet](https://docs.wetez.io/wetez/developer/apis/solana-mainnet.md)
- [Polygon Mainnet](https://docs.wetez.io/wetez/developer/apis/polygon-mainnet.md)
- [Arbitrum Mainnet](https://docs.wetez.io/wetez/developer/apis/arbitrum-mainnet.md)
- [Tendermint Mainnet](https://docs.wetez.io/wetez/developer/apis/tendermint-mainnet.md): Supported methods for Tendermint RPC API.
- [Error](https://docs.wetez.io/wetez/developer/apis/error.md)
- [Storage](https://docs.wetez.io/wetez/developer/storage.md)
- [IPFS](https://docs.wetez.io/wetez/developer/storage/ipfs.md)
- [HTTP API methods](https://docs.wetez.io/wetez/developer/storage/http-api-methods.md)
- [add](https://docs.wetez.io/wetez/developer/storage/add.md): Add a file or directory to IPFS.
- [block\_get](https://docs.wetez.io/wetez/developer/storage/block_get.md): Get a raw IPFS block.
- [block\_put](https://docs.wetez.io/wetez/developer/storage/block_put.md): Store input as an IPFS block.
- [block\_stat](https://docs.wetez.io/wetez/developer/storage/block_stat.md): Print information of a raw IPFS block.
- [cat](https://docs.wetez.io/wetez/developer/storage/cat.md): Show IPFS object data.
- [dag\_get](https://docs.wetez.io/wetez/developer/storage/dag_get.md): Get a DAG node from IPFS.
- [dag\_put](https://docs.wetez.io/wetez/developer/storage/dag_put.md): Add a DAG node to IPFS.
- [dag\_resolve](https://docs.wetez.io/wetez/developer/storage/dag_resolve.md): Resolve IPLD block.
- [get](https://docs.wetez.io/wetez/developer/storage/get.md): Download IPFS objects.
- [pin\_add](https://docs.wetez.io/wetez/developer/storage/pin_add.md)
- [pin\_ls](https://docs.wetez.io/wetez/developer/storage/pin_ls.md): Lists objects pinned to local storage.
- [pin\_rm](https://docs.wetez.io/wetez/developer/storage/pin_rm.md): Remove pinned objects from local storage.
- [pin\_update](https://docs.wetez.io/wetez/developer/storage/pin_update.md): Update a recursive pin.
- [version](https://docs.wetez.io/wetez/developer/storage/version.md): Show IPFS version information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wetez.io/wetez/developer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
